org.apache.http.nio.util

## Interface ByteBufferAllocator

- All Known Implementing Classes:
    DirectByteBufferAllocator, HeapByteBufferAllocator

      public interface ByteBufferAllocator

  Abstract interface to allocate `ByteBuffer` instances.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteBuffer` | `allocate(int size)` Allocates `ByteBuffer` of the given size.

- - ### Method Detail

    - #### allocate

          ByteBuffer allocate(int size)

      Allocates `ByteBuffer` of the given size.
      Parameters:
        `size` - the size of the buffer.
      Returns:
        byte buffer.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.